# REMLOG.CL -- Log comment to an image file as value for keyword REMARK
# November 17, 2005
# By Doug Mink
 
procedure remlog (image, comment)

string	image		{prompt="Images to be logged"}
string	comment		{prompt="Log comment"}
bool verbose=no         {prompt="Log progress on display (yes or no)"}

begin
        string arguments, program

	program = osfn ("obslog$bin(arch)/set_head")
	if (verbose)
	    arguments = "-v " // image // " "
	else
	    arguments = image // " "
	arguments = arguments // "remark=\"" // comment // "\""
	if (verbose)
	    printf ("!%s %s\n", program, arguments)
	printf ("!%s %s\n", program, arguments) | cl
end

# May 16 2001	(Doug Mink) new program, a wrapper for WCSTools sethead
#
# Nov 17 2005	(Doug Mink) use bin(arch) instead of bin
